Obsługujący powiadomienia
GET https://pusher.cv/api/notification-handlers/
curl --request GET \
--url 'https://pusher.cv/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.cv/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parametry | Szczegóły | Opis |
|---|---|---|
| page | Opcjonalne Liczba całkowita | Numer strony, z której chcesz wyniki. Domyślnie 1. |
| results_per_page | Opcjonalne Liczba całkowita | Ile wyników chcesz na stronę. Dozwolone wartości to: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Domyślnie 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 18:33:54",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://pusher.cv/api/notification-handlers?page=1",
"last": "https://pusher.cv/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://pusher.cv/api/notification-handlers?page=1"
}
}
GET https://pusher.cv/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-07-18 18:33:54",
}
}
POST https://pusher.cv/api/notification-handlers
| Parametry | Szczegóły | Opis |
|---|---|---|
| name | Wymagane Ciąg | - |
| type | Wymagane Ciąg | Dozwolone wartości: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x , google_chat , internal_notification , push_subscriber_id |
| Opcjonalne Ciąg | Dostępne, gdy: type = email Email | |
| webhook | Opcjonalne Ciąg | Dostępne, gdy: type = webhook URL webhooka |
| slack | Opcjonalne Ciąg | Dostępne, gdy: type = slack URL webhook Slack |
| discord | Opcjonalne Ciąg | Dostępne, gdy: type = discord URL webhook Discorda |
| telegram | Opcjonalne Ciąg | Dostępne, gdy: type = telegram Token API Telegram |
| telegram_chat_id | Opcjonalne Ciąg | Dostępne, gdy: type = telegram ID czatu Telegram |
| microsoft_teams | Opcjonalne Ciąg | Dostępne, gdy: type = microsoft_teams URL webhook Microsoft Teams |
| google_chat | Opcjonalne Ciąg | Dostępne, gdy: type = google_chat URL webhook Google Chat |
| x_consumer_key | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| x_consumer_secret | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| x_access_token | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| x_access_token_secret | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| push_subscriber_id | Opcjonalne Ciąg | Dostępne, gdy: type = push_subscriber_id Subskrybuj powiadomienia |
| twilio | Opcjonalne Ciąg | Dostępne, gdy: type = twilio Numer telefonu |
| Opcjonalne Ciąg | Dostępne, gdy: type = whatsapp Numer telefonu |
curl --request POST \
--url 'https://pusher.cv/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://pusher.cv/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://pusher.cv/api/notification-handlers/{notification_handler_id}
| Parametry | Szczegóły | Opis |
|---|---|---|
| name | Opcjonalne Ciąg | - |
| type | Opcjonalne Ciąg | Dozwolone wartości: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x , google_chat , internal_notification , push_subscriber_id |
| Opcjonalne Ciąg | Dostępne, gdy: type = email Email | |
| webhook | Opcjonalne Ciąg | Dostępne, gdy: type = webhook URL webhooka |
| slack | Opcjonalne Ciąg | Dostępne, gdy: type = slack URL webhook Slack |
| discord | Opcjonalne Ciąg | Dostępne, gdy: type = discord URL webhook Discorda |
| telegram | Opcjonalne Ciąg | Dostępne, gdy: type = telegram Token API Telegram |
| telegram_chat_id | Opcjonalne Ciąg | Dostępne, gdy: type = telegram ID czatu Telegram |
| microsoft_teams | Opcjonalne Ciąg | Dostępne, gdy: type = microsoft_teams URL webhook Microsoft Teams |
| google_chat | Opcjonalne Ciąg | Dostępne, gdy: type = google_chat URL webhook Google Chat |
| x_consumer_key | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| x_consumer_secret | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| x_access_token | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| x_access_token_secret | Opcjonalne Ciąg | Dostępne, gdy: type = x Token API Telegram |
| push_subscriber_id | Opcjonalne Ciąg | Dostępne, gdy: type = push_subscriber_id Subskrybuj powiadomienia |
| twilio | Opcjonalne Ciąg | Dostępne, gdy: type = twilio Numer telefonu |
| Opcjonalne Ciąg | Dostępne, gdy: type = whatsapp Numer telefonu | |
| is_enabled | Opcjonalne Boolean | - |
curl --request POST \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://pusher.cv/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://pusher.cv/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \